org.apache.datasketches.fdt

## Class PostProcessor

- java.lang.Object
- - org.apache.datasketches.fdt.PostProcessor

    public class PostProcessor
    extends Object

This processes the contents of a FDT sketch to extract the primary keys with the most frequent unique combinations of the non-primary dimensions. The source sketch is not modified.

Author:
  Lee Rhodes

### Constructor Summary

Constructors
Constructor and Description
`PostProcessor(FdtSketch sketch, Group group, char sep)` Construct with a populated FdtSketch

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getGroupCount()` Returns the number of groups in the final sketch.
`List<Group>` `getGroupList(int[] priKeyIndices, int numStdDev, int limit)` Return the most frequent Groups associated with Primary Keys based on the size of the groups.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PostProcessor

    public PostProcessor(FdtSketch sketch,
                         Group group,
                         char sep)

Construct with a populated FdtSketch

Parameters:
  `sketch` - the given sketch to query.
  `group` - the Group
  `sep` - the separator character

### Method Detail

#### getGroupCount

    public int getGroupCount()

Returns the number of groups in the final sketch.

Returns:
  the number of groups in the final sketch.

#### getGroupList

    public List<Group> getGroupList(int[] priKeyIndices,
                                    int numStdDev,
                                    int limit)

Return the most frequent Groups associated with Primary Keys based on the size of the groups.

Parameters:
  `priKeyIndices` - the indices of the primary dimensions
  `numStdDev` - the number of standard deviations for the error bounds, this value is an integer and must be one of 1, 2, or 3. See Number of Standard Deviations
  `limit` - the maximum number of rows to return. If ≤ 0, all rows will be returned.
Returns:
  the most frequent Groups associated with Primary Keys based on the size of the groups.